[constructor.html]
  ['vh' is a valid scroll offset unit]
    expected: FAIL

  ['in' is a valid scroll offset unit]
    expected: FAIL

  ['vmin' is a valid scroll offset unit]
    expected: FAIL

  ['left' is an invalid scroll offset value]
    expected: FAIL

  ['auto' is a valid scroll offset value]
    expected: FAIL

  [A ScrollTimeline created with the default orientation should default to 'block']
    expected: FAIL

  ['em' is a valid scroll offset unit]
    expected: FAIL

  ['#ff0000' is an invalid scroll offset value]
    expected: FAIL

  [A ScrollTimeline created with the default timeRange should default to 'auto']
    expected: FAIL

  ['ch' is a valid scroll offset unit]
    expected: FAIL

  ['px' is a valid scroll offset unit]
    expected: FAIL

  ['ex' is a valid scroll offset unit]
    expected: FAIL

  ['deg' is an invalid scroll offset unit]
    expected: FAIL

  [A ScrollTimeline created with a null scrollSource should use the document.scrollingElement]
    expected: FAIL

  ['q' is a valid scroll offset unit]
    expected: FAIL

  ['s' is an invalid scroll offset unit]
    expected: FAIL

  ['-100' is a valid timeRange value]
    expected: FAIL

  ['pc' is a valid scroll offset unit]
    expected: FAIL

  ['dpi' is an invalid scroll offset unit]
    expected: FAIL

  [A ScrollTimeline can be created with a scrollSource]
    expected: FAIL

  ['mm' is a valid scroll offset unit]
    expected: FAIL

  ['this_is_garbage' is an invalid scroll offset value]
    expected: FAIL

  ['calc(100% - 80px)' is a valid scroll offset value]
    expected: FAIL

  ['inline' is a valid orientation value]
    expected: FAIL

  ['' is an invalid scroll offset value]
    expected: FAIL

  [A ScrollTimeline created with the default endScrollOffset should default to 'auto']
    expected: FAIL

  ['url("http://www.example.com/pinkish.gif")' is an invalid scroll offset value]
    expected: FAIL

  ['rgb(0, 128, 0)' is an invalid scroll offset value]
    expected: FAIL

  ['1234.5678' is a valid timeRange value]
    expected: FAIL

  [A ScrollTimeline created with the default startScrollOffset should default to 'auto']
    expected: FAIL

  [Creating a ScrollTimeline with an invalid orientation value should throw]
    expected: FAIL

  ['horizontal' is a valid orientation value]
    expected: FAIL

  ['auto' is a valid timeRange value]
    expected: FAIL

  ['0' is a valid scroll offset value]
    expected: FAIL

  ['calc(360deg / 4)' is an invalid scroll offset value]
    expected: FAIL

  ['vertical' is a valid orientation value]
    expected: FAIL

  ['100px 5%' is an invalid scroll offset value]
    expected: FAIL

  ['%' is a valid scroll offset unit]
    expected: FAIL

  ['Hz' is an invalid scroll offset unit]
    expected: FAIL

  ['block' is a valid orientation value]
    expected: FAIL

  ['pt' is a valid scroll offset unit]
    expected: FAIL

  ['rem' is a valid scroll offset unit]
    expected: FAIL

  ['cm' is a valid scroll offset unit]
    expected: FAIL

  ['100' is a valid timeRange value]
    expected: FAIL

  ['0' is a valid timeRange value]
    expected: FAIL

  [A ScrollTimeline can be created with a non-scrolling scrollSource]
    expected: FAIL

  ['vw' is a valid scroll offset unit]
    expected: FAIL

  ['vmax' is a valid scroll offset unit]
    expected: FAIL

  ['Infinity' is an invalid timeRange value]
    expected: FAIL

  ['invalid' is an invalid timeRange value]
    expected: FAIL

  ['NaN' is an invalid timeRange value]
    expected: FAIL

  ['-Infinity' is an invalid timeRange value]
    expected: FAIL

